URIParserUtil (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.util, class: URIParserUtil

Package org.apache.cxf.common.util

# Class URIParserUtil

java.lang.Object
org.apache.cxf.common.util.URIParserUtil

public final class URIParserUtil extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `escapeChars(String s)`
  `static String`
  `getAbsoluteURI(String arg)`
  `static String`
  `normalize(String uri)`
  `static URL[]`
  `pathToURLs(String path)`
  `static String`
  `relativize(String base, String toBeRelativized)`
  `static String`
  `relativize(URI baseURI, URI toBeRelativizedURI)`
  This is a custom implementation for doing what URI.relativize(URI uri) should be doing but is not actually doing when URI roots do not fully match.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### pathToURLs

    public static URL[] pathToURLs(String path)

  - ### escapeChars

    public static String escapeChars(String s)

  - ### normalize

    public static String normalize(String uri)

  - ### getAbsoluteURI

    public static String getAbsoluteURI(String arg)

  - ### relativize

    public static String relativize(String base, String toBeRelativized) throws URISyntaxException
    Throws:
      `URISyntaxException`

  - ### relativize

    public static String relativize(URI baseURI, URI toBeRelativizedURI) throws URISyntaxException
    This is a custom implementation for doing what URI.relativize(URI uri) should be doing but is not actually doing when URI roots do not fully match. See http://bugs.java.com/bugdatabase/view_bug.do?bug_id=6226081
    Parameters:
      `baseURI` - The base URI
      `toBeRelativizedURI` - The URI to be relativized
    Returns:
      The string value of the URI you'd expect to get as result of calling baseURI.relativize(toBeRelativizedURI). null is returned if the parameters are null or are not both absolute or not absolute.
    Throws:
      `URISyntaxException`